Subject: [PATCH v3 2/4] regulator: adapt fixed regulator driver to dt

From: [email-masked] (Mark Brown)
Date: Fri, 4 Nov 2011 21:25:38 +0000

On Fri, Nov 04, 2011 at 02:18:24PM -0700, Olof Johansson wrote:
> On Fri, Nov 04, 2011 at 09:01:52PM +0000, Mark Brown wrote:

> > No, the fixed voltage regultor is a superset of a general regulator - it
> > has additional information like the voltage it supplies and the optional
> > enable GPIO.

> Still, seems like it could be merged into one regulator binding.

I don't see how you can usefully do that, the task of plumbing a
regulator into a board is largely orthogonal to the specific feature set
of a given regulator.  The specific bindings for a fixed voltage
regulator would be useful or unhelpful for most regultors controlled via
I2C.